### Virtual Method

# Gtk.CellRenderer.get_preferred_height_for_width

#### Declaration [src]

    void
    get_preferred_height_for_width (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      int width,
      int* minimum_height,
      int* natural_height
    )

#### Description [src]

Retrieves a cell renderers’s minimum and natural height if it were rendered to `widget` with the specified `width`.

#### Parameters

`widget` | `GtkWidget`
| the `GtkWidget` this cell will be rendering to
| Ownership is not transferred to the callee
`width` | `int`
| the size which is available for allocation
`minimum_height` | `int*`
| location for storing the minimum size, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`natural_height` | `int*`
| location for storing the preferred size, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee